[...]

static uint8_t data[1400];

#define SOCKET 0

int
main(void)
{
    int rc;

    initialize();

    rprintf(__DATE__ ", " __TIME__ "\n");

    static uint8_t mac[6] = { 0x11,0x22,0x33,0x44,0x55,0x66 };
    tcpip_reset();
    delay_ms(10);
    tcpip_macaddr(mac);
    tcpip_ipaddr(IPADDR(10,128,1,98), IPADDR(255,255,255,0), IPADDR(10,128,1,1));
    tcpip_timeout(100000/100, 10);
    tcpip_start(0x03, 0x03);

    rprintf("\nAfter setup:\n");
    tcpip_dumpall();
    rprintf("\n");

#if 1
    tcpip_dump(SOCKET, "inited");
    tcp_open(SOCKET, 0);
    tcpip_dump(SOCKET, "opened");

    rc = tcp_connect(SOCKET, IPADDR(10,128,1,10), 9);
    while (rc > 0) {
	rprintf("connecting: %s\n", tcpip_error(rc));
	tcpip_dump(SOCKET, "connecting");
	rc = tcp_established(SOCKET);
    }

    if (rc == 0) {
	tcpip_dump(SOCKET, "established");
	rprintf("<START>\n");
	long count = 0;
	do {
	    rc = tcp_send(SOCKET, data, 1400);
	    tcpip_dump(SOCKET, "sent");
	    if (rc > 0)
		count += rc;
	} while (rc >= 0 && count < 1000000);
    }

    rprintf("<STOP>\n");
    rc = tcp_close(SOCKET);
    while (rc > 0) {
	rprintf("closing: %s\n", tcpip_error(rc));
	tcpip_dump(SOCKET, "closing");
	rc = tcpip_closed(SOCKET);
    }
    tcpip_dump(SOCKET, "closed");
#else
    long count = 0;
    udp_open(SOCKET, 0);
    tcpip_dump(SOCKET, "open");

    rprintf("<START>\n");
    do {
	rc = udp_send(SOCKET, data, 1400, IPADDR(10,128,1,10), 9);
	tcpip_dump(SOCKET, "sent");
	if (rc > 0) {
	    count += rc;
	    *(long *)data = count;
	}
	;;;break;
    } while (rc >= 0 && count < 1000000);
    
    rprintf("<STOP>\n");
    udp_close(SOCKET);
    do {
	tcpip_dump(SOCKET, "close");
    } while (udp_closed(SOCKET) == -1);
#endif

    for(;;);
}
